package ai.pai.lensman.upload;

import java.util.ArrayList;

import ai.pai.lensman.bean.SessionBean;

public class UploadPresenter implements UploadContract.Presenter {

    private UploadContract.View uploadView;
    private ArrayList<SessionBean> sessionList;


    public UploadPresenter( UploadContract.View view){
        this.uploadView = view;
        sessionList = new ArrayList<>();
    }


    @Override
    public void start() {
        if(sessionList.size()==0){
            uploadView.showEmptyView();
        }else{
            uploadView.showSessionViews();
            uploadView.refreshSessionViews(sessionList);
        }
    }

    @Override
    public void stop() {

    }

}
